import {IDocumentInfo} from "app/shared/model/document-info.model";
import {IMetaDataInfo} from "app/shared/model/meta-data.model";

export interface ISearchResult {
  documentInfos: IDocumentInfo[];
  metaDataDto: IMetaDataInfo;
  hitCount: number;
}

export class SearchResult implements ISearchResult {
  constructor(
    public documentInfos: IDocumentInfo[],
    public metaDataDto: IMetaDataInfo,
    public hitCount: number,
  ) {
  }
}
