package at.ac.uibk.gitsearch.es.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.elasticsearch.annotations.Document;
import org.springframework.data.elasticsearch.annotations.Field;

import static org.springframework.data.elasticsearch.annotations.FieldType.Text;

@Document(indexName="codeability.sharing", type = "_doc")
public class DocumentInfo {

    @Id
    private String id;

    @Field(type = Text)
    private String content;

    //private Meta meta;

    private FileInfo file;

    private PathInfo path;

    public DocumentInfo() {
    }

    @Override
    public String toString() {
        //return "Document{" + "content='" + content + "'," + meta.toString() + ", " + file.toString() + ", " + path.toString() + '}';
        return "Document{" + "content='" + content + "'}";
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public FileInfo getFile() {
        return file;
    }

    public void setFile(FileInfo file) {
        this.file = file;
    }

    public PathInfo getPath() {
        return path;
    }

    public void setPath(PathInfo path) {
        this.path = path;
    }
}
