package at.ac.uibk.gitsearch.repository.search;

import at.ac.uibk.gitsearch.service.dto.SearchResultDto;
import org.springframework.stereotype.Repository;

import javax.naming.directory.SearchResult;
import java.io.IOException;
import java.util.List;


/**
 * Spring Data Elasticsearch repository for the {@link SearchResult} entity.
 */
@Repository
public interface HighlightRepository {

    SearchResultDto customSearchWithHighlightedSummary(String query, int pageSize, int page, List<String> selectedRepository, List<String> selectedUniversity, List<String> selectedFileFormat) throws IOException;
}
