package at.ac.uibk.gitsearch.repository.search;

import at.ac.uibk.gitsearch.es.model.DocumentInfo;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;
import org.springframework.stereotype.Repository;

import javax.naming.directory.SearchResult;
import java.util.List;


/**
 * Spring Data Elasticsearch repository for the {@link SearchResult} entity.
 */
@Repository
public interface SearchResultSearchRepository extends ElasticsearchRepository<DocumentInfo, Long> {

    //@org.springframework.data.elasticsearch.annotations.Query("\"query\": { \"match_phrase\": {\"content\": \"Assignment 1\"}}")
    List<DocumentInfo> findByContent(String content);
}
