package at.ac.uibk.gitsearch.service.dto;

import java.util.List;

public class SearchResultDto {
    private List<DocumentInfoDTO> documentInfos;
    private MetaDataDto metaDataDto;
    long hitCount;

    public SearchResultDto(List<DocumentInfoDTO> documentInfos, MetaDataDto metaDataDto, long hitCount) {
        this.documentInfos = documentInfos;
        this.metaDataDto = metaDataDto;
        this.hitCount = hitCount;
    }

    public List<DocumentInfoDTO> getDocumentInfos() {
        return documentInfos;
    }

    public void setDocumentInfos(List<DocumentInfoDTO> documentInfos) {
        this.documentInfos = documentInfos;
    }

    public MetaDataDto getMetaDataDto() {
        return metaDataDto;
    }

    public void setMetaDataDto(MetaDataDto metaDataDto) {
        this.metaDataDto = metaDataDto;
    }

    public long getHitCount() {
        return hitCount;
    }

    public void setHitCount(long hitCount) {
        this.hitCount = hitCount;
    }
}
