import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { GitSearchV2SharedModule } from 'app/shared/shared.module';
import { HOME_ROUTE } from './home.route';
import { HomeComponent } from './home.component';
import {MetadataComponent} from "app/home/metadata/metadata.component";
import {QueryParamModule} from "@ngqp/core";
import {NgSelectModule} from "@ng-select/ng-select";

@NgModule({
  imports: [GitSearchV2SharedModule, RouterModule.forChild([HOME_ROUTE]), QueryParamModule, NgSelectModule],
  declarations: [HomeComponent, MetadataComponent],
})
export class GitSearchV2HomeModule {}
